Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DrawingRecordForBiffViewer

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.AbstractEscherHolderRecord
                  org.apache.poi.hssf.record.DrawingRecordForBiffViewer

    public final class DrawingRecordForBiffViewer

extends AbstractEscherHolderRecord

This is purely for the biff viewer. During normal operations we don't want to be seeing this.

Field Summary
`static short` | `sid`

Constructor Summary
`DrawingRecordForBiffViewer()`
`DrawingRecordForBiffViewer(DrawingRecord r)`
`DrawingRecordForBiffViewer(RecordInputStream in)`

Method Summary
`short` | `getSid()` return the non static version of the id for this record.

Methods inherited from class org.apache.poi.hssf.record.AbstractEscherHolderRecord
`addEscherRecord, addEscherRecord, clearEscherRecords, clone, decode, findFirstWithId, getEscherContainer, getEscherRecord, getEscherRecords, getRawData, getRecordSize, join, processContinueRecord, serialize, setRawData, toString`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DrawingRecordForBiffViewer

    public DrawingRecordForBiffViewer()

### DrawingRecordForBiffViewer

    public DrawingRecordForBiffViewer(RecordInputStream in)

### DrawingRecordForBiffViewer

    public DrawingRecordForBiffViewer(DrawingRecord r)

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `AbstractEscherHolderRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD